Программа: RechnungsZentrale V2 1.1.3, возможно другие версии.

Обнаруженные уязвимости позволяют удаленному пользователю произвести
SQL-инъекцию и выполнить произвольный PHP сценарий на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в
параметре "user" в сценарии mod/authent.php4. Удаленный пользователь может с
помощью специально сформированного запроса выполнить произвольные SQL команды в
базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в
параметре "rootpath" сценария mod/authent.php4. Удаленный пользователь может с
помощью специально сформированного запроса выполнить произвольный PHP сценарий
на целевой системе с привилегиями Web сервера. Для удачной эксплуатации
уязвимости опция "register_globals" должна быть включена, и опция "magic_quotes_gpc"
должны быть отключена.
 



Оставить мнение